Sending an email service message

You can send a schedule to an individual recipient or up to a maximum of 10,000 recipients of your choice.

Generally this is the quickest method of sending emails because unlike the marketing service, this is a simple service that sends a campaign directly to the email without checking permits, storing data or tracking email performance about specific individuals.

📘

If you do not provide the Reference id then one is automatically generated for you, however any failures to validate the API call will not generate an id.

Prerequisites

Before you can use this service you need to make sure that you've completed the following tasks:

  • Created a Service Email schedule in Contour
  • Received the relevant credentials from your RedEye account manager

Considerations

  • Service messages are batched and queued to improve efficiency and to prevent loss of data.
  • The same recipient can be included more than once in the send and no deduplication will occur.
  • We recommend no more than 350 merges in a schedule due to possible performance impacts.
  • Do not use a Service Email for marketing purposes. Recipient marketing preferences are not checked when the requests are processed.
  • We recommend not to include mobile numbers in the Service Email API Call
  • All requests are sent to the recipient regardless of any preferences.
  • If an invalid email address is included in the API Call then none of it will be processed until the failure is rectified and the call reposted.
  • If a service message creative contains merge fields then the request must contain all the merge field parameters to be used in the email, otherwise these are blank for the recipient.
  • Dynamic Product listing is supported using dynamic content boolean values to reflect the number of rows for a recipient, speak to your Account Manager to get this set up.

URL to use

METHOD: POST
https://api.redeye.com/[client_id]/service/sendemail/	

Body Sample

{
  "schedule":  "string",
  "reference": "string",
  "recipients": [
   {
				"email": "string",
				"firstname": "string",
				"titlelastname": "string",
				"lastname": "string"
   }
  ]
}